MemoryKit

List Events

List events for a user, newest first.

GET/v1/users/{userId}/events

Path parameters

userIdstringrequired

The user's external ID.

Query parameters

limitinteger

Results per page (1--100). Default: 20.

typestring

Filter by event type.

Response

Returns 200 OK with a list of events.

dataarray

List of event objects.

data[].idstring

Event ID.

data[].typestring

Event type.

data[].dataobject

Event payload.

data[].created_atstring

ISO 8601 timestamp.

has_moreboolean

Whether more results are available.

Example response
{
  "data": [
    {
      "id": "evt_abc123",
      "type": "purchase",
      "data": { "product": "Pro Plan", "amount": 49.99 },
      "created_at": "2025-01-15T10:30:00Z"
    }
  ],
  "has_more": false
}
const events = await mk.users.listEvents("user_123", {
  type: "purchase",
  limit: 10,
});
Edit on GitHub

On this page